> For the complete documentation index, see [llms.txt](https://docs.nosto.com/salesforce/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/salesforce/installing.md).

# Installing

## Requirements

Nosto integration does not support legacy Pipelines. You have to use SiteGenesis or [Storefront Reference Architecture (SFRA)](https://www.salesforce.com/products/commerce-cloud/resources/commerce-cloud-storefront-reference-architecture/)

## Installing the integration

To install the Nosto integration for the first time on their instance, user may perform the following steps:

1. Clone repository to local machine.
2. Import the cartridge (int\_nosto) into your workspace and link it to the Digital Server Connection. Note that `int_nosto_sfra` cartridge is also provided but it is not mandatory to use the cartridge as it is just representation of how the cartridge will work with SFRA.
3. To import site’s metadata, create zip file for metadata folder (metadata.zip). Import metadata.zip into your instance (Meta Data and Custom Objects and Schedules).
4. Assign the int\_nosto cartridges to site’s cartridge path. It should be configured in below sequence. The cartridge path sequence should look like this:

   **Cartridge path for controllers (SiteGenesis)**

   `int_nosto: app_storefront_controllers: app_storefront_core`

   **Cartridge path for SFRA** `int_nosto: app_storefront_base`

Add `int_nosto_sfra` cartridge before `int_nosto` to understand what changes are needed in the base cartridge and to understand how the cartridge works. `int_nosto_sfra` is created just to simulate how the cartridge will work and you have to make sure similar changes are copied over to respective base cartridge as mentioned in the implementation section.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nosto.com/salesforce/installing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
